import React from 'react';

type ParentCommit = {
    sha: string;
};
type Commit = {
    sha: string;
    commit: {
        author: {
            name: string;
            date: string | number | Date;
            email?: string;
        };
        message: string;
    };
    parents: ParentCommit[];
    html_url?: string;
};
type Branch = {
    name: string;
    commit: {
        sha: string;
    };
    link?: string;
};
type GraphStyle = {
    commitSpacing: number;
    branchSpacing: number;
    branchColors: string[];
    nodeRadius: number;
};

type Props$1 = {
    commits: Commit[];
    branchHeads: Branch[];
    loadMore: () => void;
    hasMore: boolean;
    parentID?: string;
    graphStyle?: GraphStyle;
    dateFormatFn?: (d: string | number | Date) => string;
    currentBranch?: string;
};
declare function WithInfiniteScroll({ commits, branchHeads, loadMore, hasMore, parentID, graphStyle, dateFormatFn, currentBranch, }: Props$1): React.JSX.Element;

type Props = {
    commits: Commit[];
    branchHeads: Branch[];
    graphStyle?: GraphStyle;
    dateFormatFn?: (d: string | number | Date) => string;
    currentBranch?: string;
};
declare function CommitGraph({ commits, graphStyle, branchHeads, dateFormatFn, currentBranch, }: Props): React.JSX.Element;
declare namespace CommitGraph {
    var WithInfiniteScroll: typeof WithInfiniteScroll;
}

export { CommitGraph };
